/***************************************************************************
                          subeditor.h  -  description
                             -------------------
    begin                : Tue Mar 31 2005
    copyright            : (C) 2005 by Christophe Thommeret
    email                : hftom@free.fr
    last modified        : $Date: 2005/03/31 09:09:33 $ by $Author: hftom $
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SUBEDITOR_H
#define SUBEDITOR_H

#include "channeldesc.h"
#include "subeditorui.h"



class SubEditor : public SubEditorUI
{
	Q_OBJECT

public:

	SubEditor( ChannelDesc *chan, QWidget *parent );
	~SubEditor();

private slots:

	void showProp( int index );
	void itemUp();
	void itemDown();
	void itemDelete();
	void itemUpdate();
	void itemNew();

private:

	void insertItem( int index, bool updt=false );

	ChannelDesc *channel;

};

#endif
